VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DeviceEventInfoEXT (DeviceEventTypeEXT deviceEvent_=DeviceEventTypeEXT::eDisplayHotplug)
| DeviceEventInfoEXT (VkDeviceEventInfoEXT const &rhs)
DeviceEventInfoEXT & | operator= (VkDeviceEventInfoEXT const &rhs)
DeviceEventInfoEXT & | setPNext (const void *pNext_)
DeviceEventInfoEXT & | setDeviceEvent (DeviceEventTypeEXT deviceEvent_)
| operator VkDeviceEventInfoEXT const & () const
| operator VkDeviceEventInfoEXT & ()
bool | operator== (DeviceEventInfoEXT const &rhs) const
bool | operator!= (DeviceEventInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceEventTypeEXT | deviceEvent

## Private Attributes

StructureType | sType = StructureType::eDeviceEventInfoEXT

## Detailed Description

Definition at line 33797 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceEventInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::DeviceEventInfoEXT | ( | DeviceEventTypeEXT | deviceEvent_ = `DeviceEventTypeEXT::eDisplayHotplug` | ) |

inline

Definition at line 33799 of file vulkan.hpp.

: deviceEvent( deviceEvent_ )
{
}

## DeviceEventInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::DeviceEventInfoEXT | ( | VkDeviceEventInfoEXT const & | rhs | ) |

inline

Definition at line 33804 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceEventInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceEventInfoEXT &()

VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator VkDeviceEventInfoEXT & | ( |  | ) |

inline

Definition at line 33831 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceEventInfoEXT*>(this);
}

## operator VkDeviceEventInfoEXT const &()

VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator VkDeviceEventInfoEXT const & | ( |  | ) | const

inline

Definition at line 33826 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceEventInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator!= | ( | DeviceEventInfoEXT const & | rhs | ) | const

inline

Definition at line 33843 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceEventInfoEXT& VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator= | ( | VkDeviceEventInfoEXT const & | rhs | ) |

inline

Definition at line 33809 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceEventInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator== | ( | DeviceEventInfoEXT const & | rhs | ) | const

inline

Definition at line 33836 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( deviceEvent == rhs.deviceEvent );
}

References deviceEvent, pNext, and sType.

Referenced by operator!=().

## setDeviceEvent()

DeviceEventInfoEXT& VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::setDeviceEvent | ( | DeviceEventTypeEXT | deviceEvent_ | ) |

inline

Definition at line 33820 of file vulkan.hpp.

{
deviceEvent = deviceEvent_;
return *this;
}

References deviceEvent.

## setPNext()

DeviceEventInfoEXT& VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 33814 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## deviceEvent

DeviceEventTypeEXT VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::deviceEvent

Definition at line 33853 of file vulkan.hpp.

Referenced by operator==(), and setDeviceEvent().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::pNext = nullptr

Definition at line 33852 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::sType = StructureType::eDeviceEventInfoEXT

private

Definition at line 33849 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:33849
VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::deviceEvent
DeviceEventTypeEXT deviceEvent
Definition: vulkan.hpp:33853
VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::operator==
bool operator==(DeviceEventInfoEXT const &rhs) const
Definition: vulkan.hpp:33836
VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:33852
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDeviceEventInfoEXT
Definition: vulkan_core.h:7097
VULKAN_HPP_NAMESPACE::DeviceEventInfoEXT::DeviceEventInfoEXT
DeviceEventInfoEXT(DeviceEventTypeEXT deviceEvent_=DeviceEventTypeEXT::eDisplayHotplug)
Definition: vulkan.hpp:33799